Package org.spongepowered.asm.service

## Class ServiceInitialisationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.spongepowered.asm.service.ServiceInitialisationException

All Implemented Interfaces:
  `java.io.Serializable`

    public class ServiceInitialisationException
    extends java.lang.RuntimeException

Exception thrown when a service fails during initialisation, expected if the service is missing a dependency or is attempting to boot in an incompatible environment

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ServiceInitialisationException()`
`ServiceInitialisationException​(java.lang.String message)`
`ServiceInitialisationException​(java.lang.String message, java.lang.Throwable cause)`
`ServiceInitialisationException​(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ServiceInitialisationException

    public ServiceInitialisationException()

#### ServiceInitialisationException

    public ServiceInitialisationException​(java.lang.String message)

#### ServiceInitialisationException

    public ServiceInitialisationException​(java.lang.Throwable cause)

#### ServiceInitialisationException

    public ServiceInitialisationException​(java.lang.String message,
                                          java.lang.Throwable cause)